<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="new-holiday">
    <form class="ui form" id="holidays-form" method="post" th:object="${holiday}" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_HOLIDAYS_SAVE}}">
      <input type="hidden" th:field="${holiday.id}" />
      <input type="hidden" th:field="${holiday.created}" />
      <input type="hidden" th:field="${holiday.createdBy}" />
      <h2 class="ui dividing header">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_HOLIDAYS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOLIDAYS}}"></span>
      </h2>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}, 
                                                 field = 'name', 
                                                 required = true, 
                                                 placeholder = '',
                                                 maxlength = 50,
                                                 columnsize = 'sixteen wide'
                                                 )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}, 
					                                                   field = 'day', 
					                                                   required = true,
					                                                   value = ${#dates.format(holiday.day, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'eight wide'
					                                                   )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      	icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      	icon1url = ''
                                                                      	)" />
    </form>
  </th:block>
</body>
</html>
